import json


class Config:

    SUBSCRIBE_TOPIC = ['test', 'test2']
    KAFKA_CONSUMER_CONF = {
        'bootstrap_servers': ["192.168.0.30:9092", "192.168.0.71:9092", "192.168.0.229:9092"],
        'value_deserializer': json.loads,
        'group_id': 'ta2legu'
    }
    KAFKA_PRODUCER_CONF = {
        'bootstrap_servers': ["192.168.0.30:9092", "192.168.0.71:9092", "192.168.0.229:9092"],
        'value_serializer': lambda v: json.dumps(v).encode('utf-8'),
    }

    TOPIC_TO_LEGU = {
        'a77703e24e6643d08b74a4163a14f74c': 'legu_test',
        'c3e0409ac18341149877b08f087db640': 'legu_test'
    }



class Debug(Config):
    pass


settings = Debug
